PDA

Archiv verlassen und diese Seite im Standarddesign anzeigen : breezy->lampp->php-> failed to open stream: Keine Berechtigung



steffi
15.11.2005, 19:48
hallo und guten tag.
ich habe schon die foren suche benutzt und gesuchmaschint..
aber ich konnte nix finden..vielleicht liegt das daran das das einfach zu basig is,
aber ich bekomme php nicht unter ubuntu 5.10 zum laufen..:(

ich hab LAMPP 1.5 erfolgreich installiert.
ich kann den apachen auch problemlos starten.
aber wenn ich localhost aufrufe kommt zwar das begruessungsfenster das der apache installiert ist, aber auch die fehlermeldung:


Willkommen zu XAMPP für Linux
Warning: main(.version) [function.main]: failed to open stream: Keine Berechtigung in /opt/lampp/htdocs/xampp/start.php on line 12

Warning: main() [function.include]: Failed opening '.version' for inclusion (include_path='.:/opt/lampp/lib/php') in /opt/lampp/htdocs/xampp/start.php on line 12
!


okay, ich weiss, das hat mit den zugriffsrechten auf die ordner zutuen.
allerdings hat opt/lampp/lib/php schon 755.
es ist doch sicherheittechnisch jetzt nicht sehr sinnvoll das verzeichniss rekursiv auf 777 zusetzen, oder?
ich meine, wenn ich das verzeichniss auf 777 setzte geht das dann?
oder stimmt da was anderes nich?

vielen dank fuers lesen schonmal..
beste gruesse
steffi